Index: c/src/tests/libtests/cpuuse/system.h
===================================================================
--- c/src/tests/libtests/cpuuse/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/libtests/cpuuse/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -52,4 +52,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS (6 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/libtests/malloctest/system.h
===================================================================
--- c/src/tests/libtests/malloctest/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/libtests/malloctest/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -19,6 +19,4 @@
 /* macros */
 
-#define TASK_STACK_SIZE (RTEMS_MINIMUM_STACK_SIZE*3)
-
 /* functions */
 
@@ -40,4 +38,8 @@
 #define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
 
+#define TASK_STACK_SIZE (RTEMS_MINIMUM_STACK_SIZE*3)
+
+#define CONFIGURE_EXTRA_TASK_STACKS (10 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/libtests/monitor/system.h
===================================================================
--- c/src/tests/libtests/monitor/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/libtests/monitor/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -47,4 +47,5 @@
 
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
+#define CONFIGURE_EXTRA_TASK_STACKS           (3 * RTEMS_MINIMUM_STACK_SIZE)
 
 #include <confdefs.h>
Index: c/src/tests/libtests/rtems++/System.h
===================================================================
--- c/src/tests/libtests/rtems++/System.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/libtests/rtems++/System.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -129,5 +129,7 @@
 
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
-#define CONFIGURE_INIT_TASK_STACK_SIZE        0x2000
+#define CONFIGURE_INIT_TASK_STACK_SIZE      (4 * RTEMS_MINIMUM_STACK_SIZE) 
+
+#define CONFIGURE_EXTRA_TASK_STACKS         (3 * RTEMS_MINIMUM_STACK_SIZE)
 
 #include <confdefs.h>
Index: c/src/tests/libtests/rtmonuse/system.h
===================================================================
--- c/src/tests/libtests/rtmonuse/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/libtests/rtmonuse/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -48,4 +48,5 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS           (15 * RTEMS_MINIMUM_STACK_SIZE)
 #include <confdefs.h>
 
Index: c/src/tests/mptests/mp05/system.h
===================================================================
--- c/src/tests/mptests/mp05/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/mptests/mp05/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -40,4 +40,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/mptests/mp14/system.h
===================================================================
--- c/src/tests/mptests/mp14/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/mptests/mp14/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -71,4 +71,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/samples/paranoia/system.h
===================================================================
--- c/src/tests/samples/paranoia/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/samples/paranoia/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -32,4 +32,6 @@
 #define CONFIGURE_INIT_TASK_STACK_SIZE    (RTEMS_MINIMUM_STACK_SIZE * 2)
 
+#define CONFIGURE_EXTRA_TASK_STACKS       (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/sptests/sp01/system.h
===================================================================
--- c/src/tests/sptests/sp01/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/sptests/sp01/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -36,4 +36,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (3 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/sptests/sp04/system.h
===================================================================
--- c/src/tests/sptests/sp04/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/sptests/sp04/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -52,4 +52,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (3 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/sptests/sp07/system.h
===================================================================
--- c/src/tests/sptests/sp07/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/sptests/sp07/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -75,4 +75,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (4 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/sptests/sp08/system.h
===================================================================
--- c/src/tests/sptests/sp08/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/sptests/sp08/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -41,4 +41,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/sptests/sp09/system.h
===================================================================
--- c/src/tests/sptests/sp09/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/sptests/sp09/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -98,4 +98,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (2 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/sptests/sp11/system.h
===================================================================
--- c/src/tests/sptests/sp11/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/sptests/sp11/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -78,4 +78,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (2 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/sptests/sp12/system.h
===================================================================
--- c/src/tests/sptests/sp12/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/sptests/sp12/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -64,4 +64,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (2 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/sptests/sp13/system.h
===================================================================
--- c/src/tests/sptests/sp13/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/sptests/sp13/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -56,4 +56,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (2 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/sptests/sp14/system.h
===================================================================
--- c/src/tests/sptests/sp14/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/sptests/sp14/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -52,4 +52,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/sptests/sp16/system.h
===================================================================
--- c/src/tests/sptests/sp16/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/sptests/sp16/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -55,4 +55,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/sptests/sp19/system.h
===================================================================
--- c/src/tests/sptests/sp19/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/sptests/sp19/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -46,4 +46,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (18 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/sptests/sp20/system.h
===================================================================
--- c/src/tests/sptests/sp20/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/sptests/sp20/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -48,4 +48,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (15 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/sptests/sp22/system.h
===================================================================
--- c/src/tests/sptests/sp22/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/sptests/sp22/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -46,4 +46,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS       (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/sptests/sp23/system.h
===================================================================
--- c/src/tests/sptests/sp23/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/sptests/sp23/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -39,4 +39,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS       (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/sptests/sp24/system.h
===================================================================
--- c/src/tests/sptests/sp24/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/sptests/sp24/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -43,4 +43,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS           (3 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: c/src/tests/tmtests/tm09/system.h
===================================================================
--- c/src/tests/tmtests/tm09/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ c/src/tests/tmtests/tm09/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -38,4 +38,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/libtests/cpuuse/system.h
===================================================================
--- testsuites/libtests/cpuuse/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/libtests/cpuuse/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -52,4 +52,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS (6 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/libtests/malloctest/system.h
===================================================================
--- testsuites/libtests/malloctest/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/libtests/malloctest/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -19,6 +19,4 @@
 /* macros */
 
-#define TASK_STACK_SIZE (RTEMS_MINIMUM_STACK_SIZE*3)
-
 /* functions */
 
@@ -40,4 +38,8 @@
 #define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
 
+#define TASK_STACK_SIZE (RTEMS_MINIMUM_STACK_SIZE*3)
+
+#define CONFIGURE_EXTRA_TASK_STACKS (10 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/libtests/monitor/system.h
===================================================================
--- testsuites/libtests/monitor/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/libtests/monitor/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -47,4 +47,5 @@
 
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
+#define CONFIGURE_EXTRA_TASK_STACKS           (3 * RTEMS_MINIMUM_STACK_SIZE)
 
 #include <confdefs.h>
Index: testsuites/libtests/rtems++/System.h
===================================================================
--- testsuites/libtests/rtems++/System.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/libtests/rtems++/System.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -129,5 +129,7 @@
 
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
-#define CONFIGURE_INIT_TASK_STACK_SIZE        0x2000
+#define CONFIGURE_INIT_TASK_STACK_SIZE      (4 * RTEMS_MINIMUM_STACK_SIZE) 
+
+#define CONFIGURE_EXTRA_TASK_STACKS         (3 * RTEMS_MINIMUM_STACK_SIZE)
 
 #include <confdefs.h>
Index: testsuites/libtests/rtmonuse/system.h
===================================================================
--- testsuites/libtests/rtmonuse/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/libtests/rtmonuse/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -48,4 +48,5 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS           (15 * RTEMS_MINIMUM_STACK_SIZE)
 #include <confdefs.h>
 
Index: testsuites/mptests/mp05/system.h
===================================================================
--- testsuites/mptests/mp05/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/mptests/mp05/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -40,4 +40,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/mptests/mp14/system.h
===================================================================
--- testsuites/mptests/mp14/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/mptests/mp14/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -71,4 +71,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/samples/paranoia/system.h
===================================================================
--- testsuites/samples/paranoia/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/samples/paranoia/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -32,4 +32,6 @@
 #define CONFIGURE_INIT_TASK_STACK_SIZE    (RTEMS_MINIMUM_STACK_SIZE * 2)
 
+#define CONFIGURE_EXTRA_TASK_STACKS       (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/sptests/sp01/system.h
===================================================================
--- testsuites/sptests/sp01/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/sptests/sp01/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -36,4 +36,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (3 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/sptests/sp04/system.h
===================================================================
--- testsuites/sptests/sp04/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/sptests/sp04/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -52,4 +52,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (3 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/sptests/sp07/system.h
===================================================================
--- testsuites/sptests/sp07/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/sptests/sp07/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -75,4 +75,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (4 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/sptests/sp08/system.h
===================================================================
--- testsuites/sptests/sp08/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/sptests/sp08/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -41,4 +41,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/sptests/sp09/system.h
===================================================================
--- testsuites/sptests/sp09/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/sptests/sp09/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -98,4 +98,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (2 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/sptests/sp11/system.h
===================================================================
--- testsuites/sptests/sp11/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/sptests/sp11/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -78,4 +78,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (2 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/sptests/sp12/system.h
===================================================================
--- testsuites/sptests/sp12/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/sptests/sp12/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -64,4 +64,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (2 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/sptests/sp13/system.h
===================================================================
--- testsuites/sptests/sp13/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/sptests/sp13/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -56,4 +56,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (2 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/sptests/sp14/system.h
===================================================================
--- testsuites/sptests/sp14/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/sptests/sp14/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -52,4 +52,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/sptests/sp16/system.h
===================================================================
--- testsuites/sptests/sp16/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/sptests/sp16/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -55,4 +55,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/sptests/sp19/system.h
===================================================================
--- testsuites/sptests/sp19/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/sptests/sp19/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -46,4 +46,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (18 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/sptests/sp20/system.h
===================================================================
--- testsuites/sptests/sp20/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/sptests/sp20/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -48,4 +48,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (15 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/sptests/sp22/system.h
===================================================================
--- testsuites/sptests/sp22/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/sptests/sp22/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -46,4 +46,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS       (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/sptests/sp23/system.h
===================================================================
--- testsuites/sptests/sp23/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/sptests/sp23/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -39,4 +39,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS       (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/sptests/sp24/system.h
===================================================================
--- testsuites/sptests/sp24/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/sptests/sp24/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -43,4 +43,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS           (3 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
Index: testsuites/tmtests/tm09/system.h
===================================================================
--- testsuites/tmtests/tm09/system.h	(revision 6ce14e72fba9bb17d4db5071ad50eb5e5592261b)
+++ testsuites/tmtests/tm09/system.h	(revision 9a993ed573727fc322868d279c22e4cc9545769c)
@@ -38,4 +38,6 @@
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
+#define CONFIGURE_EXTRA_TASK_STACKS         (1 * RTEMS_MINIMUM_STACK_SIZE)
+
 #include <confdefs.h>
 
